Documentation
¶
Index ¶
- Constants
- type AddEvent
- type AddEventBadRequest
- type AddEventCreated
- type AddEventHandler
- type AddEventHandlerFunc
- type AddEventInternalServerError
- type AddEventParams
- type AddEventURL
- func (o *AddEventURL) Build() (*url.URL, error)
- func (o *AddEventURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *AddEventURL) Must(u *url.URL, err error) *url.URL
- func (o *AddEventURL) SetBasePath(bp string)
- func (o *AddEventURL) String() string
- func (o *AddEventURL) StringFull(scheme, host string) string
- func (o *AddEventURL) WithBasePath(bp string) *AddEventURL
- type GetHistory
- type GetHistoryHandler
- type GetHistoryHandlerFunc
- type GetHistoryInternalServerError
- func (o *GetHistoryInternalServerError) SetPayload(payload *models.ErrorResponse)
- func (o *GetHistoryInternalServerError) WithPayload(payload *models.ErrorResponse) *GetHistoryInternalServerError
- func (o *GetHistoryInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetHistoryNotFound
- type GetHistoryOK
- type GetHistoryParams
- type GetHistoryURL
- func (o *GetHistoryURL) Build() (*url.URL, error)
- func (o *GetHistoryURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetHistoryURL) Must(u *url.URL, err error) *url.URL
- func (o *GetHistoryURL) SetBasePath(bp string)
- func (o *GetHistoryURL) String() string
- func (o *GetHistoryURL) StringFull(scheme, host string) string
- func (o *GetHistoryURL) WithBasePath(bp string) *GetHistoryURL
- type GetState
- type GetStateHandler
- type GetStateHandlerFunc
- type GetStateInternalServerError
- type GetStateNotFound
- type GetStateOK
- type GetStateParams
- type GetStateURL
- func (o *GetStateURL) Build() (*url.URL, error)
- func (o *GetStateURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetStateURL) Must(u *url.URL, err error) *url.URL
- func (o *GetStateURL) SetBasePath(bp string)
- func (o *GetStateURL) String() string
- func (o *GetStateURL) StringFull(scheme, host string) string
- func (o *GetStateURL) WithBasePath(bp string) *GetStateURL
- type ListStates
- type ListStatesHandler
- type ListStatesHandlerFunc
- type ListStatesInternalServerError
- func (o *ListStatesInternalServerError) SetPayload(payload *models.ErrorResponse)
- func (o *ListStatesInternalServerError) WithPayload(payload *models.ErrorResponse) *ListStatesInternalServerError
- func (o *ListStatesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type ListStatesOK
- type ListStatesParams
- type ListStatesURL
- func (o *ListStatesURL) Build() (*url.URL, error)
- func (o *ListStatesURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *ListStatesURL) Must(u *url.URL, err error) *url.URL
- func (o *ListStatesURL) SetBasePath(bp string)
- func (o *ListStatesURL) String() string
- func (o *ListStatesURL) StringFull(scheme, host string) string
- func (o *ListStatesURL) WithBasePath(bp string) *ListStatesURL
Constants ¶
const AddEventBadRequestCode int = 400
AddEventBadRequestCode is the HTTP code returned for type AddEventBadRequest
const AddEventCreatedCode int = 201
AddEventCreatedCode is the HTTP code returned for type AddEventCreated
const AddEventInternalServerErrorCode int = 500
AddEventInternalServerErrorCode is the HTTP code returned for type AddEventInternalServerError
const GetHistoryInternalServerErrorCode int = 500
GetHistoryInternalServerErrorCode is the HTTP code returned for type GetHistoryInternalServerError
const GetHistoryNotFoundCode int = 404
GetHistoryNotFoundCode is the HTTP code returned for type GetHistoryNotFound
const GetHistoryOKCode int = 200
GetHistoryOKCode is the HTTP code returned for type GetHistoryOK
const GetStateInternalServerErrorCode int = 500
GetStateInternalServerErrorCode is the HTTP code returned for type GetStateInternalServerError
const GetStateNotFoundCode int = 404
GetStateNotFoundCode is the HTTP code returned for type GetStateNotFound
const GetStateOKCode int = 200
GetStateOKCode is the HTTP code returned for type GetStateOK
const ListStatesInternalServerErrorCode int = 500
ListStatesInternalServerErrorCode is the HTTP code returned for type ListStatesInternalServerError
const ListStatesOKCode int = 200
ListStatesOKCode is the HTTP code returned for type ListStatesOK
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type AddEvent ¶
type AddEvent struct {
Context *middleware.Context
Handler AddEventHandler
}
AddEvent swagger:route POST /event eventManagement addEvent
Takes into the system the provided event
func NewAddEvent ¶
func NewAddEvent(ctx *middleware.Context, handler AddEventHandler) *AddEvent
NewAddEvent creates a new http.Handler for the add event operation
type AddEventBadRequest ¶
type AddEventBadRequest struct {
}
AddEventBadRequest Invalid input, object invalid
swagger:response addEventBadRequest
func NewAddEventBadRequest ¶
func NewAddEventBadRequest() *AddEventBadRequest
NewAddEventBadRequest creates AddEventBadRequest with default headers values
func (*AddEventBadRequest) WriteResponse ¶
func (o *AddEventBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type AddEventCreated ¶
type AddEventCreated struct {
/*
In: Body
*/
Payload *models.ItemCreatedResponse `json:"body,omitempty"`
}
AddEventCreated Item added successfully
swagger:response addEventCreated
func NewAddEventCreated ¶
func NewAddEventCreated() *AddEventCreated
NewAddEventCreated creates AddEventCreated with default headers values
func (*AddEventCreated) SetPayload ¶
func (o *AddEventCreated) SetPayload(payload *models.ItemCreatedResponse)
SetPayload sets the payload to the add event created response
func (*AddEventCreated) WithPayload ¶
func (o *AddEventCreated) WithPayload(payload *models.ItemCreatedResponse) *AddEventCreated
WithPayload adds the payload to the add event created response
func (*AddEventCreated) WriteResponse ¶
func (o *AddEventCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type AddEventHandler ¶
type AddEventHandler interface {
Handle(AddEventParams, interface{}) middleware.Responder
}
AddEventHandler interface for that can handle valid add event params
type AddEventHandlerFunc ¶
type AddEventHandlerFunc func(AddEventParams, interface{}) middleware.Responder
AddEventHandlerFunc turns a function with the right signature into a add event handler
func (AddEventHandlerFunc) Handle ¶
func (fn AddEventHandlerFunc) Handle(params AddEventParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type AddEventInternalServerError ¶
type AddEventInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
AddEventInternalServerError Something unexpected happend, error raised
swagger:response addEventInternalServerError
func NewAddEventInternalServerError ¶
func NewAddEventInternalServerError() *AddEventInternalServerError
NewAddEventInternalServerError creates AddEventInternalServerError with default headers values
func (*AddEventInternalServerError) SetPayload ¶
func (o *AddEventInternalServerError) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the add event internal server error response
func (*AddEventInternalServerError) WithPayload ¶
func (o *AddEventInternalServerError) WithPayload(payload *models.ErrorResponse) *AddEventInternalServerError
WithPayload adds the payload to the add event internal server error response
func (*AddEventInternalServerError) WriteResponse ¶
func (o *AddEventInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type AddEventParams ¶
type AddEventParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Event to be added to the system
Required: true
In: body
*/
Event *models.Event
}
AddEventParams contains all the bound params for the add event operation typically these are obtained from a http.Request
swagger:parameters addEvent
func NewAddEventParams ¶
func NewAddEventParams() AddEventParams
NewAddEventParams creates a new AddEventParams object no default values defined in spec.
func (*AddEventParams) BindRequest ¶
func (o *AddEventParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewAddEventParams() beforehand.
type AddEventURL ¶
type AddEventURL struct {
// contains filtered or unexported fields
}
AddEventURL generates an URL for the add event operation
func (*AddEventURL) Build ¶
func (o *AddEventURL) Build() (*url.URL, error)
Build a url path and query string
func (*AddEventURL) BuildFull ¶
func (o *AddEventURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*AddEventURL) SetBasePath ¶
func (o *AddEventURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*AddEventURL) String ¶
func (o *AddEventURL) String() string
String returns the string representation of the path with query string
func (*AddEventURL) StringFull ¶
func (o *AddEventURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*AddEventURL) WithBasePath ¶
func (o *AddEventURL) WithBasePath(bp string) *AddEventURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetHistory ¶
type GetHistory struct {
Context *middleware.Context
Handler GetHistoryHandler
}
GetHistory swagger:route GET /event/history/{account} eventManagement getHistory
Provides the events for the id provided
func NewGetHistory ¶
func NewGetHistory(ctx *middleware.Context, handler GetHistoryHandler) *GetHistory
NewGetHistory creates a new http.Handler for the get history operation
func (*GetHistory) ServeHTTP ¶
func (o *GetHistory) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetHistoryHandler ¶
type GetHistoryHandler interface {
Handle(GetHistoryParams, interface{}) middleware.Responder
}
GetHistoryHandler interface for that can handle valid get history params
type GetHistoryHandlerFunc ¶
type GetHistoryHandlerFunc func(GetHistoryParams, interface{}) middleware.Responder
GetHistoryHandlerFunc turns a function with the right signature into a get history handler
func (GetHistoryHandlerFunc) Handle ¶
func (fn GetHistoryHandlerFunc) Handle(params GetHistoryParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetHistoryInternalServerError ¶
type GetHistoryInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
GetHistoryInternalServerError Something unexpected happend, error raised
swagger:response getHistoryInternalServerError
func NewGetHistoryInternalServerError ¶
func NewGetHistoryInternalServerError() *GetHistoryInternalServerError
NewGetHistoryInternalServerError creates GetHistoryInternalServerError with default headers values
func (*GetHistoryInternalServerError) SetPayload ¶
func (o *GetHistoryInternalServerError) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the get history internal server error response
func (*GetHistoryInternalServerError) WithPayload ¶
func (o *GetHistoryInternalServerError) WithPayload(payload *models.ErrorResponse) *GetHistoryInternalServerError
WithPayload adds the payload to the get history internal server error response
func (*GetHistoryInternalServerError) WriteResponse ¶
func (o *GetHistoryInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetHistoryNotFound ¶
type GetHistoryNotFound struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
GetHistoryNotFound Item not found in the system
swagger:response getHistoryNotFound
func NewGetHistoryNotFound ¶
func NewGetHistoryNotFound() *GetHistoryNotFound
NewGetHistoryNotFound creates GetHistoryNotFound with default headers values
func (*GetHistoryNotFound) SetPayload ¶
func (o *GetHistoryNotFound) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the get history not found response
func (*GetHistoryNotFound) WithPayload ¶
func (o *GetHistoryNotFound) WithPayload(payload *models.ErrorResponse) *GetHistoryNotFound
WithPayload adds the payload to the get history not found response
func (*GetHistoryNotFound) WriteResponse ¶
func (o *GetHistoryNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetHistoryOK ¶
GetHistoryOK Description of a successfully operation
swagger:response getHistoryOK
func NewGetHistoryOK ¶
func NewGetHistoryOK() *GetHistoryOK
NewGetHistoryOK creates GetHistoryOK with default headers values
func (*GetHistoryOK) SetPayload ¶
func (o *GetHistoryOK) SetPayload(payload []*models.Event)
SetPayload sets the payload to the get history o k response
func (*GetHistoryOK) WithPayload ¶
func (o *GetHistoryOK) WithPayload(payload []*models.Event) *GetHistoryOK
WithPayload adds the payload to the get history o k response
func (*GetHistoryOK) WriteResponse ¶
func (o *GetHistoryOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetHistoryParams ¶
type GetHistoryParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Id of the account to be checked
Required: true
In: path
*/
Account string
/*Datetime from which to get the usage report
In: query
*/
From *int64
/*Resource region to filter the usage
In: query
*/
Region *string
/*Resource type to filter the usage
In: query
*/
Resource *string
/*Datetime until which to get the usage report
In: query
*/
To *int64
}
GetHistoryParams contains all the bound params for the get history operation typically these are obtained from a http.Request
swagger:parameters getHistory
func NewGetHistoryParams ¶
func NewGetHistoryParams() GetHistoryParams
NewGetHistoryParams creates a new GetHistoryParams object no default values defined in spec.
func (*GetHistoryParams) BindRequest ¶
func (o *GetHistoryParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetHistoryParams() beforehand.
type GetHistoryURL ¶
type GetHistoryURL struct {
Account string
From *int64
Region *string
Resource *string
To *int64
// contains filtered or unexported fields
}
GetHistoryURL generates an URL for the get history operation
func (*GetHistoryURL) Build ¶
func (o *GetHistoryURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetHistoryURL) BuildFull ¶
func (o *GetHistoryURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetHistoryURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetHistoryURL) SetBasePath ¶
func (o *GetHistoryURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetHistoryURL) String ¶
func (o *GetHistoryURL) String() string
String returns the string representation of the path with query string
func (*GetHistoryURL) StringFull ¶
func (o *GetHistoryURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetHistoryURL) WithBasePath ¶
func (o *GetHistoryURL) WithBasePath(bp string) *GetHistoryURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetState ¶
type GetState struct {
Context *middleware.Context
Handler GetStateHandler
}
GetState swagger:route GET /event/status/{account} eventManagement getState
Provides the events for the id provided
func NewGetState ¶
func NewGetState(ctx *middleware.Context, handler GetStateHandler) *GetState
NewGetState creates a new http.Handler for the get state operation
type GetStateHandler ¶
type GetStateHandler interface {
Handle(GetStateParams, interface{}) middleware.Responder
}
GetStateHandler interface for that can handle valid get state params
type GetStateHandlerFunc ¶
type GetStateHandlerFunc func(GetStateParams, interface{}) middleware.Responder
GetStateHandlerFunc turns a function with the right signature into a get state handler
func (GetStateHandlerFunc) Handle ¶
func (fn GetStateHandlerFunc) Handle(params GetStateParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetStateInternalServerError ¶
type GetStateInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
GetStateInternalServerError Something unexpected happend, error raised
swagger:response getStateInternalServerError
func NewGetStateInternalServerError ¶
func NewGetStateInternalServerError() *GetStateInternalServerError
NewGetStateInternalServerError creates GetStateInternalServerError with default headers values
func (*GetStateInternalServerError) SetPayload ¶
func (o *GetStateInternalServerError) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the get state internal server error response
func (*GetStateInternalServerError) WithPayload ¶
func (o *GetStateInternalServerError) WithPayload(payload *models.ErrorResponse) *GetStateInternalServerError
WithPayload adds the payload to the get state internal server error response
func (*GetStateInternalServerError) WriteResponse ¶
func (o *GetStateInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetStateNotFound ¶
type GetStateNotFound struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
GetStateNotFound Item not found in the system
swagger:response getStateNotFound
func NewGetStateNotFound ¶
func NewGetStateNotFound() *GetStateNotFound
NewGetStateNotFound creates GetStateNotFound with default headers values
func (*GetStateNotFound) SetPayload ¶
func (o *GetStateNotFound) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the get state not found response
func (*GetStateNotFound) WithPayload ¶
func (o *GetStateNotFound) WithPayload(payload *models.ErrorResponse) *GetStateNotFound
WithPayload adds the payload to the get state not found response
func (*GetStateNotFound) WriteResponse ¶
func (o *GetStateNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetStateOK ¶
GetStateOK Description of a successfully operation
swagger:response getStateOK
func NewGetStateOK ¶
func NewGetStateOK() *GetStateOK
NewGetStateOK creates GetStateOK with default headers values
func (*GetStateOK) SetPayload ¶
func (o *GetStateOK) SetPayload(payload []*models.State)
SetPayload sets the payload to the get state o k response
func (*GetStateOK) WithPayload ¶
func (o *GetStateOK) WithPayload(payload []*models.State) *GetStateOK
WithPayload adds the payload to the get state o k response
func (*GetStateOK) WriteResponse ¶
func (o *GetStateOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetStateParams ¶
type GetStateParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Id of the account to be checked
Required: true
In: path
*/
Account string
}
GetStateParams contains all the bound params for the get state operation typically these are obtained from a http.Request
swagger:parameters getState
func NewGetStateParams ¶
func NewGetStateParams() GetStateParams
NewGetStateParams creates a new GetStateParams object no default values defined in spec.
func (*GetStateParams) BindRequest ¶
func (o *GetStateParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetStateParams() beforehand.
type GetStateURL ¶
type GetStateURL struct {
Account string
// contains filtered or unexported fields
}
GetStateURL generates an URL for the get state operation
func (*GetStateURL) Build ¶
func (o *GetStateURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetStateURL) BuildFull ¶
func (o *GetStateURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetStateURL) SetBasePath ¶
func (o *GetStateURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetStateURL) String ¶
func (o *GetStateURL) String() string
String returns the string representation of the path with query string
func (*GetStateURL) StringFull ¶
func (o *GetStateURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetStateURL) WithBasePath ¶
func (o *GetStateURL) WithBasePath(bp string) *GetStateURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type ListStates ¶
type ListStates struct {
Context *middleware.Context
Handler ListStatesHandler
}
ListStates swagger:route GET /event/status eventManagement listStates
Provides the list of states in not terminated state
func NewListStates ¶
func NewListStates(ctx *middleware.Context, handler ListStatesHandler) *ListStates
NewListStates creates a new http.Handler for the list states operation
func (*ListStates) ServeHTTP ¶
func (o *ListStates) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type ListStatesHandler ¶
type ListStatesHandler interface {
Handle(ListStatesParams, interface{}) middleware.Responder
}
ListStatesHandler interface for that can handle valid list states params
type ListStatesHandlerFunc ¶
type ListStatesHandlerFunc func(ListStatesParams, interface{}) middleware.Responder
ListStatesHandlerFunc turns a function with the right signature into a list states handler
func (ListStatesHandlerFunc) Handle ¶
func (fn ListStatesHandlerFunc) Handle(params ListStatesParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type ListStatesInternalServerError ¶
type ListStatesInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
ListStatesInternalServerError Something unexpected happend, error raised
swagger:response listStatesInternalServerError
func NewListStatesInternalServerError ¶
func NewListStatesInternalServerError() *ListStatesInternalServerError
NewListStatesInternalServerError creates ListStatesInternalServerError with default headers values
func (*ListStatesInternalServerError) SetPayload ¶
func (o *ListStatesInternalServerError) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the list states internal server error response
func (*ListStatesInternalServerError) WithPayload ¶
func (o *ListStatesInternalServerError) WithPayload(payload *models.ErrorResponse) *ListStatesInternalServerError
WithPayload adds the payload to the list states internal server error response
func (*ListStatesInternalServerError) WriteResponse ¶
func (o *ListStatesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ListStatesOK ¶
type ListStatesOK struct {
/*
In: Body
*/
Payload []*models.MinimalState `json:"body,omitempty"`
}
ListStatesOK Description of a successfully operation
swagger:response listStatesOK
func NewListStatesOK ¶
func NewListStatesOK() *ListStatesOK
NewListStatesOK creates ListStatesOK with default headers values
func (*ListStatesOK) SetPayload ¶
func (o *ListStatesOK) SetPayload(payload []*models.MinimalState)
SetPayload sets the payload to the list states o k response
func (*ListStatesOK) WithPayload ¶
func (o *ListStatesOK) WithPayload(payload []*models.MinimalState) *ListStatesOK
WithPayload adds the payload to the list states o k response
func (*ListStatesOK) WriteResponse ¶
func (o *ListStatesOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ListStatesParams ¶
type ListStatesParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Resource region to filter the usage
In: query
*/
Region *string
/*Resource type to filter the usage
In: query
*/
Resource *string
}
ListStatesParams contains all the bound params for the list states operation typically these are obtained from a http.Request
swagger:parameters listStates
func NewListStatesParams ¶
func NewListStatesParams() ListStatesParams
NewListStatesParams creates a new ListStatesParams object no default values defined in spec.
func (*ListStatesParams) BindRequest ¶
func (o *ListStatesParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewListStatesParams() beforehand.
type ListStatesURL ¶
type ListStatesURL struct {
Region *string
Resource *string
// contains filtered or unexported fields
}
ListStatesURL generates an URL for the list states operation
func (*ListStatesURL) Build ¶
func (o *ListStatesURL) Build() (*url.URL, error)
Build a url path and query string
func (*ListStatesURL) BuildFull ¶
func (o *ListStatesURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*ListStatesURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*ListStatesURL) SetBasePath ¶
func (o *ListStatesURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*ListStatesURL) String ¶
func (o *ListStatesURL) String() string
String returns the string representation of the path with query string
func (*ListStatesURL) StringFull ¶
func (o *ListStatesURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*ListStatesURL) WithBasePath ¶
func (o *ListStatesURL) WithBasePath(bp string) *ListStatesURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
Source Files
¶
- add_event.go
- add_event_parameters.go
- add_event_responses.go
- add_event_urlbuilder.go
- get_history.go
- get_history_parameters.go
- get_history_responses.go
- get_history_urlbuilder.go
- get_state.go
- get_state_parameters.go
- get_state_responses.go
- get_state_urlbuilder.go
- list_states.go
- list_states_parameters.go
- list_states_responses.go
- list_states_urlbuilder.go